Skip to main content
GET
/
api
/
customer-portal
/
workspaces
/
{slug}
Get Workspace
curl --request GET \
  --url https://api.rapidly.tech/api/customer-portal/workspaces/{slug}
{
  "workspace": {
    "created_at": "2023-11-07T05:31:56Z",
    "modified_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "name": "<string>",
    "slug": "<string>",
    "avatar_url": "<string>",
    "customer_portal_settings": {
      "usage": {
        "show": true
      }
    },
    "workspace_features": {
      "member_model_enabled": false
    }
  },
  "shares": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "description": "<string>",
      "visibility": "draft",
      "is_archived": true,
      "workspace_id": "<string>",
      "prices": [
        {
          "created_at": "2023-11-07T05:31:56Z",
          "modified_at": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "source": "catalog",
          "amount_type": "<string>",
          "price_currency": "aud",
          "is_archived": true,
          "share_id": "<string>",
          "price_amount": 123
        }
      ],
      "medias": [
        {
          "id": "<string>",
          "workspace_id": "<string>",
          "name": "<string>",
          "path": "<string>",
          "mime_type": "<string>",
          "size": 123,
          "storage_version": "<string>",
          "checksum_etag": "<string>",
          "checksum_sha256_base64": "<string>",
          "checksum_sha256_hex": "<string>",
          "last_modified_at": "2023-11-07T05:31:56Z",
          "version": "<string>",
          "service": "<string>",
          "is_uploaded": true,
          "created_at": "2023-11-07T05:31:56Z",
          "size_readable": "<string>",
          "public_url": "<string>"
        }
      ]
    }
  ]
}

Path Parameters

slug
string
required

The workspace slug.

Response

Successful Response

Schema of an workspace and related data for customer portal.

workspace
CustomerWorkspace · object
required
shares
CustomerProduct · object[]
required